from pattern.graph import Graph

g = Graph()
for n1, n2 in (
	('cat', 'tail'), ('cat', 'purr'), ('purr', 'sound'),
	('dog', 'tail'), ('dog', 'bark'), ('bark', 'sound')):
	g.add_node(n1)
	g.add_node(n2)
	g.add_edge(n1, n2, weight=0.0, type='is-related-to')

for n in sorted(g.nodes, key=lambda n: n.weight):
	print '%.2f' % n.weight, n

# When sorted by Node.weight (i.e., eigenvector centrality), sound is the most important node in the network. Most nodes (indirectly) connect to sound or tail. No nodes connect to dog or cat, so these are the least important in the network (weight 0.0).
# http://www.clips.ua.ac.be/pages/pattern-graph#graph